> ## Documentation Index
> Fetch the complete documentation index at: https://docs.neynar.com/llms.txt
> Use this file to discover all available pages before exploring further.

# getWalletBalances

Get wallet token balances

> **Group:** Onchain APIs

Use this when you need: **Get wallet token balances**.

## Usage

```ts theme={"system"}
import { NeynarAPIClient, Configuration } from "@neynar/nodejs-sdk";

const client = new NeynarAPIClient(
  new Configuration({ apiKey: "YOUR_NEYNAR_API_KEY" })
);

const res = await client.getWalletBalances({
  networks: "example", // Comma-separated list of networks to query. Each value must be a valid network (ethereum, optimism, base, arbitrum, robinhood).
  address: "example", // Wallet address
  // limit: 123, 
  // cursor: "example", 
});
console.log(res);
```

## Parameters

| Parameter  | Type     | Required | Description                                                                                                                    |
| ---------- | -------- | :------: | ------------------------------------------------------------------------------------------------------------------------------ |
| `networks` | `string` |     ✅    | Comma-separated list of networks to query. Each value must be a valid network (ethereum, optimism, base, arbitrum, robinhood). |
| `address`  | `string` |     ✅    | Wallet address                                                                                                                 |
| `limit`    | `number` |     ❌    | -                                                                                                                              |
| `cursor`   | `string` |     ❌    | -                                                                                                                              |

## Response

Returns a `RequestArgs` object.

## Error Handling

```ts theme={"system"}
try {
  const res = await client.getWalletBalances({
    networks: "example",
    address: "example"
  });
  // use res
} catch (err) {
  // Axios/HTTP errors, invalid params, auth issues, etc.
  console.error(err);
}
```

## Related API Reference

📖 **API Reference:** [getWalletBalances](/reference/get-wallet-balances)

For detailed information about the HTTP endpoint, request/response schemas, and additional examples, see the complete API documentation.

## Tips

* Provide a **viewerFid** when supported to respect mutes/blocks and include `viewer_context`.
* Keep requests scoped (e.g., use `limit`) to improve latency.
* Cache results where sensible.


## Related topics

- [Get wallet token balances](/reference/get-wallet-balances.md)
- [Token balance](/reference/fetch-user-balance.md)
- [Managing Onchain Wallets](/docs/managing-onchain-wallets.md)
- [Fetch fresh FID](/reference/get-fresh-account-fid.md)
- [User Balances Directly with FID](/docs/how-to-fetch-user-balance-using-farcaster-fid.md)
